%define fontname    gfs-bodoni-classic
%define fontdir     %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

%define archivename GFS_BODONICLASS_OT

Name:    %{fontname}-fonts
Version: 20070415
Release: 7%{?dist}
Summary: GFS Bodoni Classic oblique Greek font

Group:   User Interface/X
License: OFL
URL:     http://www.greekfontsociety.gr/pages/en_typefaces18th.html
Source0: http://www.greekfontsociety.gr/%{archivename}.zip
Source1: %{name}-fontconfig.conf

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

%description
Giambattista Bodoni was the most prolific Italian typecutter of the 18th
century. While he worked in the Vatican Press he was involved in the
typecutting of “exotic” languages for which catholic literature was printed.
When he established his own press in Parma he did publish many books of the
classics with his own Greek typefaces in the last quarter of the 18th century.
He was among the first European typecutters to move away from the byzantine
cursive tradition with the numerous ligatures which was the norm until then.
His Greek types influenced many subsequent designers, yet they fell in disuse
by the middle of the 19th century.

GFS presented Bodoni's original Greek typeface in the commemorative edition of
Pindar's Olympian Odes (2004), in digital version by George D. Matthiopoulos,
and is now available as free ware for the general public. In the OpenType
features, under ligatures, one may alternately use diphthongs with the accents
placed in between the characters, as Giambattista Bodoni did when setting
greek texts.


%prep
%setup -q -c -T
unzip -j -L -q %{SOURCE0}
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done


%build
# Nothing there


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.otf %{buildroot}%{fontdir}

install -m 0755 -d %{buildroot}%{fontconfdir}
install -m 0644 -p %{SOURCE1} %{buildroot}%{fontconfdir}/61-%{fontname}.conf


%clean
rm -fr %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache %{fontdir} || :
fi


%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache %{fontdir} || :
fi


%files
%defattr(0644,root,root,0755)
%doc *.txt *.pdf

%config(noreplace) %{fontconfdir}/61-%{fontname}.conf

%dir %{fontdir}/
%{fontdir}/*.otf


%changelog
* Fri Jul 11 2008 <nicolas.mailhot at laposte.net>
- 20070415-7
⌖ Fedora 10 alpha general package cleanup

* Wed Apr 30 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20070415-6
⥁ Yet another prep fix®

* Mon Mar 17 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20070415-5
⚰ RIP OSX zip metadata. You won't be missed.

* Sun Feb 17 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20070415-3
⌂ Update URL

* Mon Nov 26 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
☠ 20070415-2
⚑ Re-size description so the paupers that can not afford a 80th column in
their terminal are not discriminated against.
(Courtesy: the 79-column-liberation-front cell that subverted the rpmlint
codebase)

* Sun Nov 25 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
☺ 20070415-1
✓ initial packaging
